Name: quickfix
Version: 1.12.4
Release: 8%{?dist}
Summary: QuickFIX is a full-featured open source FIX engine

Group: Development/Libraries
License: ASL 1.1 and BSD with advertising
URL: http://www.quickfixengine.org/
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0: quickfix-cstring.patch
Patch1: quickfix-pkgconfig-libdir.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: libxml2-devel,zlib-devel,boost-devel

%description
QuickFIX is a full-featured open source FIX engine, 
currently compatible with the FIX 4.0-4.4 spec. 
It runs on Windows, Linux, Solaris, FreeBSD and Mac OS X. 
API's are available for C++, Java, .NET, Python and Ruby

%prep
%setup -q -n quickfix
%patch0 -p1
%patch1 -p1
sed -i.flags -e 's|-O0 -g||' src/C++/test/Makefile.in

%build
%configure --enable-shared
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
#This package's Makefile does NOT support make DESTDIR
%makeinstall
mv $RPM_BUILD_ROOT/usr/include/quickfix/config.h $RPM_BUILD_ROOT/usr/include/quickfix/quickfix-config.h
sed -i 's/config.h/quickfix-config.h/g' $RPM_BUILD_ROOT/usr/include/quickfix/Utility.h

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%exclude %{_libdir}/*.la
%{_libdir}/libquickfix.so.10.0.0
%{_libdir}/libquickfix.so.10
%{_datadir}/%{name}/
%doc AUTHORS CONTRIBUTORS LICENSE NEWS THANKS

%package devel
Summary: Header files and libraries for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release},pkgconfig,libxml2-devel,boost-devel
%description devel
This package contains the header files and static libraries
for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel

%files devel
%defattr(-,root,root,-)
%{_includedir}/quickfix
%{_libdir}/libquickfix.so
%{_libdir}/pkgconfig/quickfix.pc

%changelog
* Thu Mar 05 2009 Caolán McNamara <caolanm@redhat.com> - 1.12.4-8
- include cstdio for std::sprintf, etc.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 09 2008 Hayden James - 1.12.4-6
- Added boost-devel dependency for quickfix-devel package. Renamed config.h to quickfix-config.h.  
- Removed debug flags from build

* Sat Nov 09 2008 Hayden James - 1.12.4-5
- Removed libtool generated file. Added boost-devel and pkgconfig dependency

* Sat Nov 08 2008 Hayden James - 1.12.4-4
- Changed license to ASL 1.1 and BSD with advertising.  Improved spec file to better conform

* Sat Nov 07 2008 Hayden James - 1.12.4-3
- Changed license to ASL 1.1

* Sat Nov 03 2008 Hayden James - 1.12.4-2
- Changed license to BSD

* Thu Oct 30 2008 Hayden James - 1.12.4-1
- Initial package.
